[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [stable] openvpn in etch crashes on amd64

On Wed, Sep 19, 2007 at 06:07:55PM +0000, Robert Edmonds wrote:
> Hi,
> (I am not the maintainer.) openvpn in etch randomly crashes on amd64 due
> to #390697, a side effect of #394695.  It is possible that disabling the
> "comp-lzo" option in openvpn would eliminate the crashes, but this would
> also disable compression of the transported VPN traffic.
> The fix for the version in etch is very simple:
> -Build-Depends: debhelper (>= 4.1.16), libssl-dev (>> 0.9.6), liblzo-dev, libpam0g-dev
> +Build-Depends: debhelper (>= 4.1.16), libssl-dev (>> 0.9.6), liblzo2-dev, libpam0g-dev
> I've tested this on a busy VPN and I have not seen any crashes on client
> or server.  Would it be possible to see this fix in a stable update?

  you should open an RC bug on the adequate version, with that fix, tag
it patch, contact the maintainer see if he can do a stable update, or
else propose to do it as an NMU into tpu.

  but this is definitely RC, as it renders the package useless on an

·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org

Attachment: pgphzem00LTPb.pgp
Description: PGP signature

Reply to: